<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_sig_include.php
| Author: Digitanium & Gander
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Configuration - START
$user_sig_settings = array();
$user_sig_settings[] = array('group'=>0, 'size'=>300, 'lines'=>2); // Guest in Register
$user_sig_settings[] = array('group'=>101, 'size'=>300, 'lines'=>2); // Member
$user_sig_settings[] = array('group'=>102, 'size'=>400, 'lines'=>3); // Admin
$user_sig_settings[] = array('group'=>103, 'size'=>500, 'lines'=>4); // SuperAdmin
$user_sig_delete_empty_lines = true;
// Configuration - END

if ($profile_method == "input" || $profile_method == "validate_insert" || $profile_method == "validate_update"){
	$user_sig_maxsize = 0;
	$user_sig_maxlines = 0;
	foreach ($user_sig_settings as $user_sig_setting){
		if ($user_sig_setting['group']==$user_data['user_level'] || preg_match("(^\.".$user_sig_setting['group']."|\.".$user_sig_setting['group']."\.|\.".$user_sig_setting['group']."$)", $user_data['user_groups'])){
			if ($user_sig_setting['size']>$user_sig_maxsize) $user_sig_maxsize = $user_sig_setting['size'];
			if ($user_sig_setting['lines']>$user_sig_maxlines) $user_sig_maxlines = $user_sig_setting['lines'];
		}
	}
	
	if (isset($_POST['user_sig'])) {
		$user_sig = stripinput(trim($_POST['user_sig']));
		$user_sig = substr($user_sig, 0, $user_sig_maxsize);
		if (substr_count($user_sig, "\n")>$user_sig_maxlines-1){
			$user_sig_array = explode("\n", $user_sig);
			$user_sig = "";
			$new_lines_count = 1;
			foreach ($user_sig_array as $user_sig_array_element){
				$user_sig_array_element = trim($user_sig_array_element);
				if ($user_sig_delete_empty_lines && empty($user_sig_array_element)) continue;
				$user_sig .= $user_sig_array_element."\n";
				$new_lines_count++;
				if ($new_lines_count>$user_sig_maxlines) break;
			}
			$user_sig = substr($user_sig, 0, -1);
		}
	}
	
}

if ($profile_method == "input") {
	require_once INCLUDES."bbcode_include.php";
	add_to_head("<script type='text/javascript' language='JavaScript'>
function check_user_sig_length(){
	try {
		var text = document.getElementById('user_sig');
		if (text.value.length>".$user_sig_maxsize.") text.value = text.value.substr(0,".$user_sig_maxsize.");
		document.getElementById('user_sig_length_info').innerHTML = (".$user_sig_maxsize."-text.value.length);
	} catch (e) {}
}
</script>");
	echo "<tr>\n";
	echo "<td valign='top' class='tbl'>".$locale['uf_sig']."</td>\n";
	echo "<td class='tbl'><textarea name='user_sig' id='user_sig' cols='60' rows='5' class='textbox' style='width:295px' onKeyDown='check_user_sig_length()' onKeyUp='check_user_sig_length()' onChange='check_user_sig_length()' onFocus='check_user_sig_length()' onBlur='check_user_sig_length()' onClick='check_user_sig_length()'>".$user_data['user_sig']."</textarea><br />\n";
	echo display_bbcodes("300px", "user_sig", "inputform", "smiley|b|i|u||center|small|url|mail|img|color")."<div>".$locale['uf_sig_01']." <span style='font-weight:bold'>".$user_sig_maxlines."</span>. ".sprintf($locale['uf_sig_02'], "<span id='user_sig_length_info' style='font-weight:bold'>".($user_sig_maxsize-strlen(str_replace("\r", "", $user_data['user_sig'])))."</span>")."</div></td>\n";
	echo "</tr>\n";
} elseif ($profile_method == "display") {
	// Not shown in profile
} elseif ($profile_method == "validate_insert") {
	$db_fields .= ", user_sig";
	$db_values .= ", '".$user_sig."'";
} elseif ($profile_method == "validate_update") {
	$db_values .= ", user_sig='".$user_sig."'";
}
?>